For the complete documentation index, see llms.txt. This page is also available as Markdown.

Application Packages

Get

get

Retrieve application package settings.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to retrieve the application package settings. (optional)

Responses
200

Success

application/json; api-version=1.0

Application Package Settings

siteIdinteger · int32Optional

ID of the Site for application packages settings

enabledbooleanOptional

Whether the application packages feature is enabled or not

provisionPackageCertificatesAutomaticallybooleanOptional

Provision package certificates automatically

get/api/AppPackageSettings
GET /api/AppPackageSettings HTTP/1.1
Accept: */*
{
  "siteId": 1,
  "enabled": true,
  "tags": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "provisionPackageCertificatesAutomatically": true
}

Update

put

Modify application package settings.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to modify the application package settings. (optional).

Body

Update the Application Package Settings

enabledboolean · nullableOptional

Enable or disable the application packages.

provisionPackageCertificatesAutomaticallyboolean · nullableOptional

Enable or Disable automatic provision of application package certificates.

Responses
204

No Content

No content

put/api/AppPackageSettings
PUT /api/AppPackageSettings HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 65

{
  "enabled": true,
  "provisionPackageCertificatesAutomatically": true
}

No content

Last updated